{% extends "layout.html" %}

{% block title %}Happy Coding{% endblock %}

{% block body %}

<div>
	<div class="tab-blocks mar3">
		<div class="rows3">
			<section class="assignment">
				<h1>Happy Coding</h1>
				<p>This assignment will be rather different, and probably quite relaxing: it mostly consists of
					watching non-technical videos providing all kinds of advice that may benefit you as a software
					developer and as a human.</p>
				<p>The topics covered here will not be tested in an exam. But in case you need any motivation to
					take them seriously anyway: take another look at the title of this lesson. ☺</p>
				<h1>Motivation &amp; discipline
				</h1><a class="card link_preview" target="_blank"
					href="https://www.wisdomination.com/screw-motivation-what-you-need-is-discipline/">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.wisdomination.com%2Fscrew-motivation-what-you-need-is-discipline%2F);">
					</div>
					<div class="info">
						<h1>Wisdomination - Screw motivation, what you need is discipline.</h1>
						<p>Part 1: Motivation is a counterproductive attitude to productivity. What counts is
							discipline.</p>
					</div>
				</a>
				<a class="card link_preview" target="_blank"
					href="http://www.wisdomination.com/practical-discipline/">
					<div class="thumbnail"
						style="background-image: url(/link_preview/http%3A%2F%2Fwww.wisdomination.com%2Fpractical-discipline%2F);">
					</div>
					<div class="info">
						<h1>Wisdomination - Practical discipline</h1>
						<p>Part 2: Tips on how to actually build discipline.</p>
					</div>
				</a>
				<h1>Imposter syndrome
				</h1><a class="card link_preview" target="_blank" href="https://www.youtube.com/watch?v=ZQUxL4Jm1Lo">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DZQUxL4Jm1Lo);">
					</div>
					<div class="info">
						<h1>Elizabeth Cox - What is imposter syndrome and how can you combat it?</h1>
						<p>The imposter syndrome is very, very prevalent among software developers. It's important
							that you recognize it as such.</p>
					</div>
				</a><a class="card link_preview" target="_blank" href="https://www.youtube.com/watch?v=eqhUHyVpAwE">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DeqhUHyVpAwE);">
					</div>
					<div class="info">
						<h1>TheSchoolOfLife - The Impostor Syndrome</h1>
						<p>Another interesting take on the imposter syndrome.</p>
					</div>
				</a>
				<h1>Depression &amp; burn-out
				</h1><a class="card link_preview" target="_blank"
					href="https://www.linkedin.com/pulse/programmers-depression-why-one-talks-8-powerful-ways-jason-humphrey">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.linkedin.com%2Fpulse%2Fprogrammers-depression-why-one-talks-8-powerful-ways-jason-humphrey);">
					</div>
					<div class="info">
						<h1>Programmers and Depression: Why No One Talks About This and 8 Powerful Ways to Overcome
							It - article</h1>
						<p>Eight sensible things to do that may help you fight off oncoming depression.</p>
					</div>
				</a><a class="card link_preview" target="_blank"
					href="https://www.youtube.com/watch?v=ZvwdDQjjxCY&amp;list=PLA1Zmy7vIH6ucg1XH8xGksQulD3BBi25b">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DZvwdDQjjxCY%26list%3DPLA1Zmy7vIH6ucg1XH8xGksQulD3BBi25b);">
					</div>
					<div class="info">
						<h1>Programmers and Depression: Why No One Talks About This and 8 Powerful Ways to Overcome
							It - video</h1>
						<p>Video version of the above article.</p>
					</div>
				</a><a class="card link_preview" target="_blank" href="https://www.actstudenthelp.nl/">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.actstudenthelp.nl%2F);"></div>
					<div class="info">
						<h1>ACT StudentHelp</h1>
						<p>Our academy created a surprising useful website with information on all kinds of problems
							that may crop up during your studies, and links to Saxion facilities that may be of
							help.</p>
					</div>
				</a>
				<a class="card link_preview" target="_blank"
				href="https://www.youtube.com/watch?v=LO1mTELoj6o">
				<div class="thumbnail"
					style="background-image: url(https://img.youtube.com/vi/LO1mTELoj6o/maxresdefault.jpg);">
				</div>
				<div class="info">
					<h1>7 ways to maximize misery (and thus, what not to do!)</h1>
					<p>some light fun, while giving you an idea about things you can do, or rather should do the opposite of if you want to improve your quality of life</p>
				</div></a>
				<p><em>PS</em>: Why not take a short break now, if you haven't already? 😀</p>
				<h1>Health
				</h1><a class="card link_preview" target="_blank" href="https://www.youtube.com/watch?v=yIHyfr-IFkM">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DyIHyfr-IFkM);">
					</div>
					<div class="info">
						<h1>Programmers Should DEFINITELY Exercise (If You Don't Want To... DIE?)</h1>
						<p>A very convincing and actionable video about the three most cliche pieces of lifestyle
							advice.</p>
					</div>
				</a><a class="card link_preview" target="_blank" href="https://www.youtube.com/watch?v=AqZ17sZNgg4">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DAqZ17sZNgg4);">
					</div>
					<div class="info">
						<h1>Programmer Posture</h1>
					</div>
				</a>
				<h1>Productivity
				</h1><a class="card link_preview" target="_blank" href="https://www.youtube.com/watch?v=eG7cPN1uRAA">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DeG7cPN1uRAA);">
					</div>
					<div class="info">
						<h1>How to Maximize Your Productivity (As a Software Developer or Learning Programming)</h1>
						<p>Three potentially very valuable tips for software developers.</p>
					</div>
				</a><a class="card link_preview" target="_blank"
					href="https://en.wikipedia.org/wiki/Pomodoro_Technique">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fen.wikipedia.org%2Fwiki%2FPomodoro_Technique);">
					</div>
					<div class="info">
						<h1>Wikipedia - Pomodoro Technique</h1>
					</div>
				</a><a class="card link_preview" target="_blank" href="https://pomofocus.io/">
					<div class="thumbnail" style="background-image: url(/link_preview/https%3A%2F%2Fpomofocus.io%2F);">
					</div>
					<div class="info">
						<h1>Pomofocus</h1>
						<p>An online Pomodoro timer.</p>
					</div>
				</a>
				<h1>Learning to program
				</h1><a class="card link_preview" target="_blank" href="https://www.youtube.com/watch?v=r-Von8nlupQ">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3Dr-Von8nlupQ);">
					</div>
					<div class="info">
						<h1>5 HUGE Tips For New Programmers</h1>
					</div>
				</a>
				<h1>Getting and staying in the flow
				</h1><a class="card link_preview" target="_blank" href="https://www.youtube.com/watch?v=RzzYdlqncaw">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DRzzYdlqncaw);">
					</div>
					<div class="info">
						<h1>Programmer Flow State: "In The Zone" Coding
						</h1>
					</div>
				</a><a class="card link_preview" target="_blank"
					href="https://www.reddit.com/r/ProgrammerHumor/comments/2rmir6/why_developers_hate_being_interrupted/">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.reddit.com%2Fr%2FProgrammerHumor%2Fcomments%2F2rmir6%2Fwhy_developers_hate_being_interrupted%2F);">
					</div>
					<div class="info">
						<h1>This is why you shouldn't interrupt a programmer</h1>
						<p>A comic to make the point.</p>
					</div>
				</a>
				<h1>Procrastination
				</h1><a class="card link_preview" target="_blank" href="https://www.youtube.com/watch?v=arj7oStGLkU">
					<div class="thumbnail"
						style="background-image: url(/link_preview/https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3Darj7oStGLkU);">
					</div>
					<div class="info">
						<h1>Tim Urban - Inside the mind of a master procrastinator</h1>
						<p>Funny and awfully recognizable explanation of procrastination. Especially the case of
							non-deadline procrastination, identified near the end of this video, may be an important
							life realization!</p>
					</div>
				</a>
				</table>
			</section>
		</div>
	</div>
</div>

{% endblock %}